\ProvidesClass{ur-arbeit}[2012/05/22 v 1.02 Abschlussarbeit UR]

\DeclareOption{english}{\def\lang1}
\DeclareOption{bachelor}{\def\arbeit{Bachelorarbeit} \def\arbeits{zur Erlangung des akademischen Grades\par Bachelor of Science}}
\DeclareOption{master}{\def\arbeit{Masterarbeit} \def\arbeits{zur Erlangung des akademischen Grades\par Master of Science}}
\DeclareOption{seminar}{\def\arbeit{Seminararbeit} \def\arbeits{}}
\ProcessOptions\relax

\LoadClass[a4paper, 	
	11pt, 		
	oneside,	 % alternativ twoside, falls doppelseitiger Ausdruck erwnscht ist
	cleardoublepage=empty,
	parskip=half,
	numbers=noenddot,
	listof=totoc,
	bibliography=totoc,
	footsepline=false,	
	titlepage,
	DIV=11,BCOR=8mm
	]{scrartcl}


\RequirePackage{scrlayer-scrpage}
\RequirePackage[latin1]{inputenc} % Eingabekodierungen
\RequirePackage[T1]{fontenc}	
\RequirePackage{url}\urlstyle{rm}
\RequirePackage{setspace}
\RequirePackage{graphicx}
\RequirePackage[english,ngerman]{babel}
\RequirePackage{natbib}
\RequirePackage{booktabs}
\RequirePackage{lmodern}
\RequirePackage{microtype}
\RequirePackage{tikz}
\RequirePackage{etoolbox}
\RequirePackage[flushmargin,hang]{footmisc}

%
%\renewcommand\@makefntext[1]{%
  %\setlength{\hangindent}{2em}%
  %\noindent%
%\hb@xt@\hangindent{\hss\@textsuperscript{\normalfont\@thefnmark}\hspace{.1em}}#1}
		%
%\typearea{11}



\tolerance=5000

\usepackage[pagebackref,	% Rckreferenz im Literaturverzeichnis
	breaklinks=true,	
	colorlinks=true,	
	citecolor=black,	
	linkcolor=black,	
	urlcolor=black,	
	extension=pdf,		
	ngerman]{hyperref}
	
\newcommand{\mainmatter}{\newpage\pagenumbering{arabic}\setcounter{page}{1}}

\def\fps@figure{ht}
\def\fps@table{ht}

\AtBeginDocument{
\ifx\lang\undefined
\selectlanguage{ngerman}
\else
\selectlanguage{english}
\fi

\iflanguage{ngerman}{
% Rckreferenzentext zur Literatur
\renewcommand*{\backreftwosep}{ und~}
\renewcommand*{\backreflastsep}{ und~}
\renewcommand*{\backref}[1]{}
\renewcommand*{\backrefalt}[4]{%
\ifcase #1 %
 (nicht zitiert).%
\or
 (zitiert auf der Seite~#2).%
\else
 (zitiert auf den Seiten~#2).%
\fi
}
}


\iflanguage{english}{
% Rckreferenzentext zur Literatur
\renewcommand*{\backreftwosep}{ and~}
\renewcommand*{\backreflastsep}{ and~}
\renewcommand*{\backref}[1]{}
\renewcommand*{\backrefalt}[4]{%
\ifcase #1 %
 (not cited).%
\or
 (cited on page~#2).%
\else
 (cited on pages~#2).%
\fi
}

% parskip fr Englisch
\KOMAoptions{parskip=false}
}{}

\iflanguage{ngerman}{
\bibliographystyle{deChicago}
}{
\bibliographystyle{chicago}
}
}
%
%


\def\title#1{\gdef\thetitle{#1}}\def\thetitle{Titel nicht definiert}
\def\author#1{\gdef\theauthor{#1}}\def\theauthor{Autor nicht definiert}
\def\matrikelnummer#1{\gdef\thematrikelnummer{#1}}\def\thematrikelnummer{fehlt}
\def\strasse#1{\gdef\thestrasse{#1}}\def\thestrasse{Strasse nicht definiert}
\def\plz#1{\gdef\theplz{#1}}\def\theplz{PLZ fehlt}
\def\ort#1{\gdef\theort{#1}}\def\theort{Ort fehlt}
\def\email#1{\gdef\theemail{#1}}\def\theemail{E-Mail nicht definiert}
\def\betreuer#1{\gdef\thebetreuer{#1}}\def\thebetreuer{Prof. Dr. Gregor Dorf{}leitner}
\def\date#1{\gdef\thedate{#1}}\def\thedate{\today}

\renewcommand\maketitle{

\hypersetup{		
	pdfview=FitV,
	bookmarksnumbered=true, 	
	pdfauthor={\theauthor},	
	pdftitle={\thetitle},
	pdfsubject={\arbeit}
}

\pagenumbering{Roman}

\begin{otherlanguage}{ngerman}
\begin{titlepage}
\deftripstyle{tp}{}{}{}{}{\textup{Regensburg, den \thedate}}{}
\thispagestyle{tp}
\begin{center}

% UR Logo
\begin{tikzpicture}[scale=0.3]
\begin{pgfscope}
\definecolor{eps2pgf_color}{RGB}{142,142,141}\pgfsetstrokecolor{eps2pgf_color}\pgfsetfillcolor{eps2pgf_color}
\pgfpathmoveto{\pgfqpoint{2.5cm}{0cm}}
\pgfpathcurveto{\pgfqpoint{3.881cm}{0cm}}{\pgfqpoint{5cm}{1.119cm}}{\pgfqpoint{5cm}{2.5cm}}
\pgfpathcurveto{\pgfqpoint{5cm}{3.881cm}}{\pgfqpoint{3.881cm}{5cm}}{\pgfqpoint{2.5cm}{5cm}}
\pgfpathcurveto{\pgfqpoint{1.119cm}{5cm}}{\pgfqpoint{0cm}{3.881cm}}{\pgfqpoint{0cm}{2.5cm}}
\pgfpathcurveto{\pgfqpoint{0cm}{1.119cm}}{\pgfqpoint{1.119cm}{0cm}}{\pgfqpoint{2.5cm}{0cm}}
\pgfusepath{fill}
\definecolor{eps2pgf_color}{gray}{1}\pgfsetstrokecolor{eps2pgf_color}\pgfsetfillcolor{eps2pgf_color}
\pgfpathmoveto{\pgfqpoint{3.023cm}{2.542cm}}
\pgfpathlineto{\pgfqpoint{3.64cm}{2.542cm}}
\pgfpathlineto{\pgfqpoint{3.64cm}{1.194cm}}
\pgfpathcurveto{\pgfqpoint{3.64cm}{0.996cm}}{\pgfqpoint{3.67cm}{0.853cm}}{\pgfqpoint{3.728cm}{0.765cm}}
\pgfpathcurveto{\pgfqpoint{3.787cm}{0.677cm}}{\pgfqpoint{3.881cm}{0.633cm}}{\pgfqpoint{4.01cm}{0.633cm}}
\pgfpathcurveto{\pgfqpoint{4.143cm}{0.633cm}}{\pgfqpoint{4.243cm}{0.68cm}}{\pgfqpoint{4.31cm}{0.775cm}}
\pgfpathcurveto{\pgfqpoint{4.377cm}{0.869cm}}{\pgfqpoint{4.411cm}{1.009cm}}{\pgfqpoint{4.411cm}{1.194cm}}
\pgfpathlineto{\pgfqpoint{4.411cm}{2.542cm}}
\pgfpathlineto{\pgfqpoint{5cm}{2.542cm}}
\pgfpathlineto{\pgfqpoint{5cm}{1.194cm}}
\pgfpathcurveto{\pgfqpoint{5cm}{0.853cm}}{\pgfqpoint{4.918cm}{0.597cm}}{\pgfqpoint{4.753cm}{0.426cm}}
\pgfpathcurveto{\pgfqpoint{4.588cm}{0.257cm}}{\pgfqpoint{4.341cm}{0.172cm}}{\pgfqpoint{4.011cm}{0.172cm}}
\pgfpathcurveto{\pgfqpoint{3.684cm}{0.172cm}}{\pgfqpoint{3.437cm}{0.257cm}}{\pgfqpoint{3.271cm}{0.428cm}}
\pgfpathcurveto{\pgfqpoint{3.106cm}{0.6cm}}{\pgfqpoint{3.023cm}{0.855cm}}{\pgfqpoint{3.023cm}{1.194cm}}
\pgfpathlineto{\pgfqpoint{3.023cm}{2.542cm}}
\pgfusepath{fill}
\definecolor{eps2pgf_color}{RGB}{142,142,141}\pgfsetstrokecolor{eps2pgf_color}\pgfsetfillcolor{eps2pgf_color}
\pgfpathmoveto{\pgfqpoint{5cm}{2.544cm}}
\pgfpathlineto{\pgfqpoint{5.921cm}{2.544cm}}
\pgfpathcurveto{\pgfqpoint{6.228cm}{2.544cm}}{\pgfqpoint{6.455cm}{2.495cm}}{\pgfqpoint{6.603cm}{2.395cm}}
\pgfpathcurveto{\pgfqpoint{6.752cm}{2.296cm}}{\pgfqpoint{6.826cm}{2.144cm}}{\pgfqpoint{6.826cm}{1.941cm}}
\pgfpathcurveto{\pgfqpoint{6.826cm}{1.791cm}}{\pgfqpoint{6.787cm}{1.668cm}}{\pgfqpoint{6.708cm}{1.571cm}}
\pgfpathcurveto{\pgfqpoint{6.63cm}{1.475cm}}{\pgfqpoint{6.517cm}{1.41cm}}{\pgfqpoint{6.37cm}{1.377cm}}
\pgfpathcurveto{\pgfqpoint{6.491cm}{1.333cm}}{\pgfqpoint{6.589cm}{1.206cm}}{\pgfqpoint{6.663cm}{0.998cm}}
\pgfpathlineto{\pgfqpoint{6.663cm}{0.996cm}}
\pgfpathlineto{\pgfqpoint{6.94cm}{0.228cm}}
\pgfpathlineto{\pgfqpoint{6.296cm}{0.228cm}}
\pgfpathlineto{\pgfqpoint{6.093cm}{0.863cm}}
\pgfpathcurveto{\pgfqpoint{6.06cm}{0.964cm}}{\pgfqpoint{6.015cm}{1.035cm}}{\pgfqpoint{5.959cm}{1.075cm}}
\pgfpathcurveto{\pgfqpoint{5.902cm}{1.113cm}}{\pgfqpoint{5.814cm}{1.133cm}}{\pgfqpoint{5.695cm}{1.133cm}}
\pgfpathlineto{\pgfqpoint{5.605cm}{1.133cm}}
\pgfpathlineto{\pgfqpoint{5.605cm}{0.228cm}}
\pgfpathlineto{\pgfqpoint{5cm}{0.228cm}}
\pgfpathclose
\pgfpathmoveto{\pgfqpoint{5.605cm}{2.137cm}}
\pgfpathlineto{\pgfqpoint{5.605cm}{1.543cm}}
\pgfpathlineto{\pgfqpoint{5.822cm}{1.543cm}}
\pgfpathcurveto{\pgfqpoint{5.956cm}{1.543cm}}{\pgfqpoint{6.056cm}{1.567cm}}{\pgfqpoint{6.123cm}{1.616cm}}
\pgfpathcurveto{\pgfqpoint{6.189cm}{1.664cm}}{\pgfqpoint{6.223cm}{1.737cm}}{\pgfqpoint{6.223cm}{1.834cm}}
\pgfpathcurveto{\pgfqpoint{6.223cm}{1.938cm}}{\pgfqpoint{6.185cm}{2.015cm}}{\pgfqpoint{6.111cm}{2.064cm}}
\pgfpathcurveto{\pgfqpoint{6.037cm}{2.113cm}}{\pgfqpoint{5.919cm}{2.137cm}}{\pgfqpoint{5.758cm}{2.137cm}}
\pgfpathlineto{\pgfqpoint{5.605cm}{2.137cm}}
\pgfusepath{fill}
\end{pgfscope}
\end{tikzpicture}


{\LARGE \textsf{\textbf{\\ \vspace{2.5cm} \arbeit }}}

\vspace{0.5cm}
\large
\arbeits

an der Fakultt fr Wirtschaftswissenschaften\\
der Universitt Regensburg
\vfill

{\LARGE \textsf{\textbf{\thetitle}}}

\vfill
\end{center}
\large
\begin{tabular}{ll}
Eingereicht bei: & Prof.\ Dr.\ Gregor Dorf{}leitner \\
& Lehrstuhl fr Betriebswirtschaftslehre, \\ & insbesondere Finanzierung \vspace{5mm}\\

Betreuer: & \thebetreuer \vspace{5mm}\\

Vorgelegt von: & \theauthor \\
& Matrikelnummer \thematrikelnummer \\
& \thestrasse  \\
& \theplz\ \theort \\
& E-Mail: \url{\theemail}
\end{tabular}
\end{titlepage} 
\end{otherlanguage}

\pagenumbering{roman}\setcounter{page}{1}

\onehalfspacing
\setcounter{tocdepth}{2}
}

\AtEndEnvironment{figure}{\gdef\there@is@a@figure{}}
\AtEndDocument{\ifdefined\there@is@a@figure\label{fig:was:used:in:doc}\fi}  
\newcommand{\conditionalLoF}{\@ifundefined{r@fig:was:used:in:doc}{}{\newpage\listoffigures}}% 

\AtEndEnvironment{table}{\gdef\there@is@a@table{}}
\AtEndDocument{\ifdefined\there@is@a@table\label{tab:was:used:in:doc}\fi}  
\newcommand{\conditionalLoT}{\@ifundefined{r@tab:was:used:in:doc}{}{\newpage\listoftables}}% 


\AtEndDocument{
\newpage
\begin{otherlanguage}{ngerman}
\section*{Schriftliche Versicherung}

Ich habe die vorliegende Arbeit selbststndig verfasst und keine anderen als die angegebenen Quellen und Hilfsmittel benutzt. Die Arbeit wurde bisher keiner anderen Prfungsbehrde vorgelegt.
Die elektronische Ausfertigung der Arbeit habe ich bereits beim Prfer eingereicht.


\vspace{1cm}

Regensburg, den \thedate

\end{otherlanguage}
}



